// vi: set ts=4 sw=4 :
// vim: set tw=75 :

// DampRule.h

/**
 *  Copyright (c) 2001, Will Day <willday@hpgx.net>, Tim Thelin <kndroc@hotmail.com>,
 *  Pieter de Zwart <pdezwart@scu.edu>, David Mart <David.Mart@btinternet.com>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *   In addition, as a special exception, <name of copyright
 *   holder> gives permission to link the code of this program with
 *   the FOO library (or with modified versions of FOO that use the
 *   same license as FOO), and distribute linked combinations including
 *   the two.  You must obey the GNU General Public License in all
 *   respects for all of the code used other than FOO.  If you modify
 *   this file, you may extend this exception to your version of the
 *   file, but you are not obligated to do so.  If you do not wish to
 *   do so, delete this exception statement from your version.
 *
**/

/**
 * This file is part of Damage Amp.
 *
 *   Log Daemon is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   Log Daemon is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Damage Amp; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**/


#ifndef DAMP_RULE_H
#define DAMP_RULE_H

//if X attacks Y, and the teams are the same.  Damage caused multiplied by the mod gets added to X
//most ppl should desire a negative value here
//if X attacks Y, and the teams are the same.  Damage caused multiplied by the mod gets added to Y
//if X attacks Y, and the teams are different.  Damage caused multiplied by the mod gets added to X
//most ppl should desire a negative value here
//if X attacks Y, and the teams are different.  Damage caused multiplied by the mod gets added to Y

#define DAMP_PERSONAL 1
#define DAMP_DEFAULT 2

#define DAMP_OPP 1
#define DAMP_TEAM 2
#define DAMP_ATT 3
#define DAMP_VIC 4

class DampRule
{
    private:
        float mods[ 4 ];
        int death[ 4 ];

    public:
        int id;
        DampRule( float aOpp, float vOpp, float aTeam, float vTeam, int daOpp, int dvOpp, int daTeam, int dvTeam );
        float getModifier( int dType, int pType );
        int getDeathMod( int dType, int pType );
        void setModifiers( float aOpp, float vOpp, float aTeam, float vTeam, int daOpp, int dvOpp, int daTeam, int dvTeam );
};


#endif