/***
*
*	Copyright (c) 1999, 2000 Valve LLC. All rights reserved.
*
*	This product contains software technology licensed from Id
*	Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*	All Rights Reserved.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

/**
 *  Copyright (c) 2001, Will Day <willday@hpgx.net>, Tim Thelin <kndroc@hotmail.com>,
 *  Pieter de Zwart <pdezwart@scu.edu>, David Mart <David.Mart@btinternet.com>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *   In addition, as a special exception, <name of copyright
 *   holder> gives permission to link the code of this program with
 *   the FOO library (or with modified versions of FOO that use the
 *   same license as FOO), and distribute linked combinations including
 *   the two.  You must obey the GNU General Public License in all
 *   respects for all of the code used other than FOO.  If you modify
 *   this file, you may extend this exception to your version of the
 *   file, but you are not obligated to do so.  If you do not wish to
 *   do so, delete this exception statement from your version.
 *
**/

/**
 * This file is part of Log Daemon.
 *
 *   Log Daemon is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   Log Daemon is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Log Daemon; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**/

/**
 * This file was taken from Admin Mod v2.50e SourceCode
 * and edited to comply with Log Daemon Structure.
 *
**/


#include <extdll.h>
#include <eiface.h> // for CBase
#include <util.h> //for INDEXENT
#include <cbase.h>

#include "amutil.h"

//originally from AM's extdll.h
// Returns TRUE if a given CBaseEntity pointer points to a valid, connected player,
// FALSE otherwise
BOOL IsPlayerValid(CBaseEntity* pPlayer) {
  return ((pPlayer) && (!FNullEnt(pPlayer->pev)) && (GETPLAYERUSERID(pPlayer->edict()) > 0) && (!FStrEq(STRING(pPlayer->pev->netname),"")) ? TRUE : FALSE);
}

//originally from AM's util.cpp
CBaseEntity* UTIL_PlayerByIndex( int playerIndex ){
  CBaseEntity* pPlayer = NULL;

  if ( playerIndex > 0 && playerIndex <= gpGlobals->maxClients ) {
    edict_t* pPlayerEdict = INDEXENT( playerIndex );
    if ( pPlayerEdict && !pPlayerEdict->free ) {
      pPlayer = CBaseEntity::Instance( pPlayerEdict );
    }
  }
  return pPlayer;
}

//originally from AM's util.cpp
int GetPlayerIndex(const char *PlayerText) {
  int PlayerNumber = 0;
  int i;

  if (atoi(PlayerText)!=0)
    PlayerNumber=atoi(PlayerText);

  for (i = 1; i <= gpGlobals->maxClients; i++) {
    CBaseEntity *pPlayer = UTIL_PlayerByIndex(i);
    if (IsPlayerValid(pPlayer)) {
      //if (PlayerNumber!=0 && ((int)GETPLAYERWONID(pPlayer->edict())==PlayerNumber)) return i;
      if (PlayerNumber!=0 && (GETPLAYERUSERID(pPlayer->edict())==PlayerNumber)) return i;
      //if (!stricmp(STRING(pPlayer->pev->netname),PlayerText)) return i;
    }
  }
  return 0;
}

int get_player_team( CBaseEntity* poPlayer ) {

    char* pcInfobuffer=g_engfuncs.pfnGetInfoKeyBuffer( poPlayer->edict() );
    char acModel[30];

    memset( acModel, 0, 30 );
    strncpy( acModel, g_engfuncs.pfnInfoKeyValue(pcInfobuffer,"model"), 30 );

    if ( !strcmp(acModel, "vip") )
      return 2;

    if ( !strcmp(acModel, "sas") 
	 || !strcmp(acModel, "gsg9" )
	 || !strcmp(acModel, "gign")
	 || !strcmp(acModel, "urban") ) {
      return 2;
    }  // if

    if ( !strcmp(acModel, "arctic")
	 || !strcmp(acModel, "leet")
	 || !strcmp(acModel, "arab")
	 || !strcmp(acModel, "guerilla")
	 || !strcmp(acModel, "terror") ) {
      return 1;
    }  // if

  //} else {
  //  return poPlayer->edict()->v.team;
  //}  // if-else

  return 0;
}  // get_player_team()

int gmsgTextMsg;

void UTIL_ChatMsgAll( const char *msg_name ) {
  gmsgTextMsg = REG_USER_MSG( "TextMsg", -1 ); 
  
  MESSAGE_BEGIN( MSG_ALL, gmsgTextMsg );
  WRITE_BYTE( HUD_PRINTTALK );
  WRITE_STRING( msg_name );
  MESSAGE_END();
}