// vi: set ts=4 sw=4 :
// vim: set tw=75 :

// version.h - version info, macros, etc

/**
 *  Copyright (c) 2001, Will Day <willday@hpgx.net>, Tim Thelin <kndroc@hotmail.com>,
 *  Pieter de Zwart <pdezwart@scu.edu>, David Mart <David.Mart@btinternet.com>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *   In addition, as a special exception, <name of copyright
 *   holder> gives permission to link the code of this program with
 *   the FOO library (or with modified versions of FOO that use the
 *   same license as FOO), and distribute linked combinations including
 *   the two.  You must obey the GNU General Public License in all
 *   respects for all of the code used other than FOO.  If you modify
 *   this file, you may extend this exception to your version of the
 *   file, but you are not obligated to do so.  If you do not wish to
 *   do so, delete this exception statement from your version.
 *
**/

/**
 * This file is part of Damage Amp.
 *
 *   Log Daemon is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   Log Daemon is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Damp; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**/

#ifndef VERS_PLUGIN_H
#define VERS_PLUGIN_H

#ifndef OPT_TYPE
# if defined(_MSC_VER) && defined(_DEBUG)
#  define OPT_TYPE		"msc debugging"
# elif defined(_MSC_VER) && defined(_NDEBUG)
#  define OPT_TYPE		"msc optimized"
# else
#  define OPT_TYPE		"default"
# endif /* _MSC_VER */
#endif /* not OPT_TYPE */

#define VDATE			"2001/10/16"
#define VVERSION		"Beta 1"
#define RC_VERS_DWORD	1,8,2,0	// Version Windows DLL Resources in res_meta.rc

#define VNAME		"Damage Amp"
#define VAUTHOR		"Will Day <willday@metamod.org>, Tim Thelin, <Kndroc@hotmail.com>, David Mart, <David.Mart@btinternet.com>"
#define VURL        "http://logd.sourceforge.net/damp"
#define VLOGTAG		"Damp"

// Various strings for the Windows DLL Resources in res_plugin.rc
#define RC_COMMENTS		"Adds damage modifications.  Requires Metamod; see " VURL
#define RC_DESC			"Damage Amp Metamod Plugin DLL"
#define RC_FILENAME		"Damp.DLL"
#define RC_INTERNAL		"Damp"
#define RC_COPYRIGHT	"Copyright 2001, Will Day, Tim Thelin, Pieter de Zwart, David Mart; under the GPL"

#endif /* VERS_PLUGIN_H */
